# PyORM

[![PyPI version](https://img.shields.io/pypi/v/pyorm.svg)](https://pypi.org/project/pyorm/)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

**PyORM** is a lightweight Python-based ORM (Object-Relational Mapping) framework for SQLite databases. It simplifies database interactions by providing an intuitive API for managing tables, performing CRUD operations, and handling relationships.

## Features

- **Simplified Database Interactions**: Define entities as Python classes with fields, and PyORM handles table creation, updates, and deletions.
- **Supports Relationships**: One-to-one, one-to-many relationships with lazy loading.
- **Extensible**: Easily extendable for custom queries and advanced use cases.
- **Robust Error Handling**: Provides meaningful error messages for smooth debugging.
- **Minimal Setup**: Quick integration into projects with minimal configuration.

## Installation

Install PyORM using `pip`:

```bash
pip install pyorm